#
# spec file for package guile-bytestructures
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           guile-bytestructures
Version:        1.0.10
Release:        1.4
Summary:        Bytestructures for Guile
License:        GPL-3.0-only
Group:          Development/Libraries/Other
URL:            https://github.com/TaylanUB/scheme-bytestructures
Source0:        https://github.com/TaylanUB/scheme-bytestructures/archive/%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  guile-devel >= 2.0
Requires:       guile
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library offers a system imitating the type system of the C programming
language, to be used on bytevectors within Guile.

%prep
%setup -q -n scheme-bytestructures-%{version}

%build
autoreconf -fi
%configure --prefix=/usr
make %{?_smp_mflags}

%install
%make_install %{_smp_mflags}

%files
%defattr(-,root,root)
%license COPYING
%doc README.md
%dir %{_datadir}/guile/site/*
%{_datadir}/guile/site/*
%dir %{_libdir}/guile/*/site-ccache
%{_libdir}/guile/*/site-ccache/bytestructures*

%changelog
* Sun Jun 18 2023 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- Update to version 1.0.10:
  * small bug fix for Guile 2.x
* Fri Nov  6 2020 Jonathan Brielmaier <jbrielmaier@opensuse.org>
- Update to version 1.0.9:
  * two small bug fixes
- Adjust source url as upstream tag removed 'v' suffix
* Mon Jan 13 2020 Jonathan Brielmaier <jbrielmaier@suse.de>
- Make files section compatible with Guile 3.0
* Tue Jan  7 2020 Jonathan Brielmaier <jbrielmaier@suse.de>
- Update to version 1.0.7:
  * Fix a cross-compilation bug.
* Wed Aug 28 2019 Jonathan Brielmaier <jbrielmaier@suse.de>
- Update to version 1.0.6:
  * Various R6RS fixes.
  * Add support for upcoming Guile 3.0.
* Wed Jan 30 2019 jbrielmaier@suse.de
- Update to version 1.0.5:
  * small bug fixes
* Thu Jun 14 2018 jbrielmaier@suse.de
- Update to version 1.0.3
  * fixes bsc#1097626
  * fixes https://github.com/TaylanUB/scheme-bytestructures/issues/30
  * add test suite
- package test suite (not executable by default, due to complaining
  about #!/usr/bin/env)
* Fri Mar  9 2018 sleep_walker@opensuse.org
- move copying from %%doc to %%license
- make package compatibile with guile 2.0
* Tue Jan 23 2018 jbrielmaier@suse.com
- Update to Version 1.0.1
  * using release tarball instead of git commit
  * removed obsolet _service file
* Sun Dec 10 2017 jbrielmaier@suse.com
- Build from master commit 7ed31b1
* Sun Dec 10 2017 jbrielmaier@suse.com
- Initial version of guile-bytestructures build from master
